## smartlist 3.15

=== Makefile ===
#$Id: Makefile,v 1.73.4.1 2000/01/20 16:59:15 guenther Exp $

# BASENAME should point to where the whole lot will be installed
# change BASENAME to your home directory if need be
BASENAME	= /usr
# For display in the man pages
VISIBLE_BASENAME= $(BASENAME)

# You can predefine ARCHITECTURE to a bin directory suffix
ARCHITECTURE	=
#ARCHITECTURE	=.sun4

BINDIR_TAIL	= bin$(ARCHITECTURE)
MANDIR		= $(BASENAME)/man
BINDIR		= $(BASENAME)/$(BINDIR_TAIL)
VISIBLE_BINDIR	= $(VISIBLE_BASENAME)/$(BINDIR_TAIL)
# MAN1SUFFIX for regular utility manuals
MAN1SUFFIX	=1
# MAN5SUFFIX for file-format descriptions
MAN5SUFFIX	=5
MAN1DIR		= $(MANDIR)/man$(MAN1SUFFIX)
MAN5DIR		= $(MANDIR)/man$(MAN5SUFFIX)

# Uncomment to install compressed man pages (possibly add extra suffix
# to the definitions of MAN?DIR and/or MAN?SUFFIX by hand)
#MANCOMPRESS = compress

############################*#
# Things that can be made are:
#
# help (or targets)	Displays this list you are looking at
# init (or makefiles)	Performs some preliminary sanity checks on your system
#			and generates Makefiles accordingly
# bins			Preinstalls only the binaries to ./new
# mans			Preinstalls only the man pages to ./new
# all			Does both
# install.bin		Installs the binaries from ./new to $(BINDIR)
# install.man		Installs the man pages from ./new to $(MAN[15]DIR)
# install		Does both
# recommend		Show some recommended suid/sgid modes
# install-suid		Impose the modes shown by 'make recommend'
# clean			Attempts to restore the package to pre-make state
# realclean		Attempts to restore the package to pre-make-init state
# deinstall		Removes any previously installed binaries and man
#			pages from your system by careful surgery
# autoconf.h		Will list your system's anomalies
# procmail		Preinstalls just all procmail related stuff to ./new
# formail		Preinstalls just all formail related stuff to ./new
# lockfile		Preinstalls just all lockfile related stuff to ./new
# setid			Creates the setid binary needed by the SmartList
#			installation
######################*#

# Makefile.0 - mark, don't (re)move this, a sed script needs it

LOCKINGTEST=__defaults__

#LOCKINGTEST=/tmp .	# Uncomment and add any directories you see fit.
#			If LOCKINGTEST is defined, autoconf will NOT
#			prompt you to enter additional directories.
#			See INSTALL for more information about the
#			significance of the locking tests.

########################################################################
# Only edit below this line if you *think* you know what you are doing #
########################################################################

#LOCKINGTEST=100	# Uncomment (and change) if you think you know
#			it better than the autoconf lockingtests.
#			This will cause the lockingtests to be hotwired.
#			100	to enable fcntl()
#			010	to enable lockf()
#			001	to enable flock()
#			Or them together to get the desired combination.

# Optional system libraries we search for
SEARCHLIBS = -lm -ldir -lx -lsocket -lnet -linet -lnsl_s -lnsl_i -lnsl -lsun \
 -lgen -lsockdns -ldl
#			-lresolv	# not really needed, is it?

# Informal list of directories where we look for the libraries in SEARCHLIBS
LIBPATHS=/lib /usr/lib /usr/local/lib

GCC_WARNINGS = -O2 -pedantic -Wreturn-type -Wunused -Wformat -Wtraditional \
 -Wpointer-arith -Wconversion -Waggregate-return \
 #-Wimplicit -Wshadow -Wid-clash-6 #-Wuninitialized

# The place to put your favourite extra cc flag
CFLAGS0 = -O #$(GCC_WARNINGS)
LDFLAGS0= -s
# Read my libs :-)
LIBS=

CFLAGS1 = $(CFLAGS0) #-posix -Xp
LDFLAGS1= $(LDFLAGS0) $(LIBS) #-lcposix

####CC	= cc # gcc
# object file extension
O	= o
RM	= /bin/rm -f
MV	= mv -f
LN	= ln
BSHELL	= /bin/sh
INSTALL = cp
DEVNULL = /dev/null
STRIP	= strip

SUBDIRS = src man
BINSS	= procmail lockfile formail mailstat
MANS1S	= procmail formail lockfile
MANS5S	= procmailrc procmailsc procmailex

# Makefile - mark, don't (re)move this, a sed script needs it

all: init
	$(MAKE) make $@

make:
	@$(BSHELL) -c "exit 0"

.PRECIOUS: Makefile

init:
	$(BSHELL) ./initmake $(BSHELL) "$(SHELL)" "$(RM)" "$(MV)" "$(LN)" \
 "$(SEARCHLIBS)" \
 "$(LIBPATHS)" \
 $(DEVNULL) "$(MAKE)" $(O) \
 "$(CC)" "$(CFLAGS1)" "$(LDFLAGS1)" "$(BINSS)" \
 "$(MANS1S)" \
 "$(MANS5S)" "$(SUBDIRS)" \
 "$(VISIBLE_BINDIR)" \
 "$(STRIP)"

makefiles makefile Makefiles Makefile: init
	@$(BSHELL) -c "exit 0"

help target targets \
bins mans install.bin install.man install recommend install-suid clean setid \
realclean veryclean clobber deinstall autoconf.h $(BINSS) multigram: init
	$(MAKE) make $@

=== man/Makefile ===
#$Id: Makefile,v 1.7 1994/08/24 18:52:00 berg Exp $

all: init
	$(MAKE) make $@

# The only real thing that can be made right now is:

init:
	cd ..; $(MAKE) make init

.PRECIOUS: Makefile

Makefile makefile Makefiles makefiles: init

procmail.1 procmailrc.5 procmailsc.5 procmailex.5 lockfile.1 formail.1: init
	$(MAKE) make $@

=== src/Makefile ===
#$Id: Makefile,v 1.8.4.1 2000/05/09 07:34:26 guenther Exp $

all: init
	$(MAKE) make $@

# The only real thing that can be made right now is:

init:
	cd ..; $(MAKE) make init

.PRECIOUS: Makefile

Makefile makefile Makefiles makefiles: init

procmail lockfile formail multigram mailstat setid getparams gethome \
../autoconf.h autoconf.h: init
	$(MAKE) make $@

=== debian/changelog ===
smartlist (3.15-28) unstable; urgency=medium

  * Fix build with gcc-15. Closes: #1097900.
  * Drop procmail patches not required for smartlist.
  * Stop parsing /etc/passwd directly in preinst and use getent instead.
  * Add Vcs-Git and Vcs-Browser fields. Closes: #953589.
  * Add debian/salsa-ci.yml.

 -- Santiago Vila <sanvila@debian.org>  Sat, 16 Aug 2025 11:40:00 +0200

smartlist (3.15-27) unstable; urgency=medium

  * Fix build with gcc-14. Closes: #1075517.
  * Do not trim Debian changelog.
  * Update lintian overrides.

 -- Santiago Vila <sanvila@debian.org>  Tue, 30 Jul 2024 11:45:00 +0200

smartlist (3.15-26) unstable; urgency=medium

  * Switch to dh. Using compat level 11 for now, as that's the last
    one which supports setting conffiles manually.
  * Add a bunch of lintian overrides. It would be nice to have everything
    in a more standard place, but moving things around at this point might
    horribly break existing setups.
  * Rules-Requires-Root: binary-targets.

 -- Santiago Vila <sanvila@debian.org>  Tue, 24 Jan 2023 14:20:00 +0100

smartlist (3.15-25) unstable; urgency=medium

  * debian/fakeroot-workaround: Move to debian/rules.
  * debian/rules: Drop obsolete comments and set permissions in a more
    straightforward way. Hopefully the package is reproducible now.
  * debian/rules: Add recommended targets build-arch and build-indep.
  * debian/rules: Use dpkg-buildflags.

 -- Santiago Vila <sanvila@debian.org>  Sun, 30 Aug 2015 16:33:14 +0200

smartlist (3.15-24) unstable; urgency=low

  * Use gzip -n to stop recording current time. Closes: #777445.
  * Fix mtimes before building binary package as well.

 -- Santiago Vila <sanvila@debian.org>  Fri, 15 May 2015 16:45:16 +0200

smartlist (3.15-23) unstable; urgency=medium

  * Switch to 3.0 (quilt) source format. The source for this package
    was the sum of upstream procmail 3.15 and smartlist 3.15 tarballs.
    To make things simpler, this package used to contain all the patches
    that were also applied to the procmail package, even if not needed.
    To differentiate easily between them I'm using "procmail-" and
    "smartlist-" as prefix in debian/patches.
  * Remove "rc.init" and "reject" at /var/list/.etc on purge, so that
    no traces are left. Discovered by piuparts. Closes: #670263.
  * Changed rc.request to allow larger messages to be sent to the -request
    address. Raised threshold for "sane" size from 4096 to 16384 bytes.
    Reported by Thomas Preud'homme. Closes: #700216.
  * Removed way obsolete Recommends on base-passwd.
  * Removed way obsolete Conflicts on suidmanager.
  * Fixed lintian overrides syntax.

 -- Santiago Vila <sanvila@debian.org>  Sat, 03 May 2014 21:37:36 +0200

smartlist (3.15-22) unstable; urgency=low

  * Fixed several scripts to deal with domain names starting with numbers.
    Thanks to Cord Beermann. Closes: #580703.

 -- Santiago Vila <sanvila@debian.org>  Tue, 24 Aug 2010 01:34:14 +0200

smartlist (3.15-21) unstable; urgency=low

  * Changes in preinst:
  - Removed obsolete code which removes buggy postrm when upgrading from
    a release older than 3.10-12 (nearly 13 years ago).
  - Removed obsolete warning about hardlinks in .etc when upgrading
    from a release older than 3.10.7-2 (more than 10 years ago).
  - Trust that base-passwd does its job and do not ask the user to press
    Enter if user list does not exist, it has wrong uid or gid, or it has
    a wrong home directory. Exit code is still 1 if such thing ever happens.
  - Removed backwards compatibility code which creates a backup of rc.init
    when upgrading from a release older than 3.10-13 (nearly 13 years ago).
  * Changes in postinst:
  - Removed obsolete code which creates rc.init from backup copy.
  - Removed obsolete code which updates rc.init when upgrading from a
    release older than 3.15-2 (8 years ago).
  - Removed obsolete code which creates symlinks for confirm-error.txt
    and rc.rfc822 for lists created before 3.15-6 (7 years ago).
  - Added code which adds listid variable to already existing rc.init.
  * Changes in postrm:
  - On purge, remove aliases from /etc/aliases unconditionally.
    A backup copy is created in either case.
  - On purge, do not remove /var/list, as it may contain user data.
  * The above changes remove all user interaction. Closes: #553295, #566678.
  * Fixed mail-transport-agent dependency. Closes: #495838.
  * Added List-Id header in rc.init and rc.submit.
  * Modified digest script to add List-* headers to digests as well.
    Patch by Cord Beermann. Thanks a lot. Closes: #457415.
  * Added lintian overrides for files that may not be moved to /etc easily.

 -- Santiago Vila <sanvila@debian.org>  Mon, 25 Jan 2010 12:32:36 +0100

smartlist (3.15-20) unstable; urgency=high

  * Make autoconf.h without cflags, then make everything else as usual,
    as we did in procmail. Fixes FTBFS problem on s390.

 -- Santiago Vila <sanvila@debian.org>  Thu, 18 Jan 2007 19:24:12 +0100

smartlist (3.15-19) unstable; urgency=medium

  * Updated README.exim for exim4. Renamed to README.exim4. Closes: #375554.
  * Updated QuickStart so that it refers to README.exim4.
  * Do not chown var/list/.procmailrc in debian/fakeroot-workaround, as it
    is a symlink and we don't want to change the owner of the pointed file.

 -- Santiago Vila <sanvila@debian.org>  Thu,  4 Jan 2007 15:39:06 +0100

smartlist (3.15-18) unstable; urgency=medium

  * Upgraded to confirm-1.3.5. This should fix a subtle bug in which
    email addresses starting with `_' were not handled properly.
    For reference, this is CAN-2005-0157.

 -- Santiago Vila <sanvila@debian.org>  Mon, 14 Feb 2005 18:42:46 +0100

smartlist (3.15-17) unstable; urgency=low

  * While we are at it, modified postinst so that an empty reject file
    is created in the first install if it does not exist, instead of
    waiting for the first invocation of `createlist'.



=== debian/control ===
Source: smartlist
Section: mail
Priority: optional
Maintainer: Santiago Vila <sanvila@debian.org>
Build-Depends: debhelper-compat (= 11)
Vcs-Git: https://salsa.debian.org/sanvila/smartlist.git
Vcs-Browser: https://salsa.debian.org/sanvila/smartlist
Rules-Requires-Root: binary-targets
Standards-Version: 3.8.3

Package: smartlist
Architecture: any
Depends: default-mta | mail-transport-agent,
         procmail,
         ${misc:Depends},
         ${shlibs:Depends}
Description: Versatile and Intelligent List Processor
 SmartList is a mailing list manager built on top of the procmail
 mail processing package. Some features:
  * Enough intelligence to overcome the ignorance of some subscribers
    (will direct subscribe and unsubscribe requests away from the regular
    list and automatically onto the -request address).
  * No hardwired format for (un)subscribe requests (i.e. new subscribers
    need not be educated, unsubscribing users do not need to remember any
    particular syntax).
  * Intelligent automatic removal of addresses from the list that cause too
    many bounces.
  * Duplicate submissions are eliminated automatically.
  * You can set up a mailing list to function as a standalone mail archive
    server.

=== debian/rules ===
#!/usr/bin/make -f
%:
	dh $@

# Userid of the list user/group
smart = 38

CC = gcc
CFLAGS := $(shell dpkg-buildflags --get CFLAGS) -std=gnu17
LDFLAGS := `dpkg-buildflags --get LDFLAGS`
CPPFLAGS := `dpkg-buildflags --get CPPFLAGS`
SEARCHLIBS = -lm

override_dh_auto_build:
	$(MAKE) CC="$(CC)" CFLAGS0="" \
		LDFLAGS0="$(LDFLAGS)" SEARCHLIBS="$(SEARCHLIBS)" autoconf.h
	$(MAKE) CC="$(CC)" CFLAGS0="$(CFLAGS) $(CPPFLAGS)" \
		LDFLAGS0="$(LDFLAGS)" SEARCHLIBS="$(SEARCHLIBS)" setid

override_dh_auto_clean:
	$(MAKE) realclean SEARCHLIBS=""
	dh_auto_clean

override_dh_auto_install:
	install -d -o ${smart} -g ${smart} -m 700 debian/tmp/var/list
	CC="$(CC)" CFLAGS0="$(CFLAGS) $(CPPFLAGS)" LDFLAGS0="$(LDFLAGS)" \
		SmartList/install.sh `pwd`/debian/tmp/var/list /var/list
	rm -f debian/tmp/var/list/.procmailrc
	rm -f debian/tmp/var/list/.etc/rc.init

override_dh_install:
	dh_install -XManual

override_dh_installchangelogs:
	dh_installchangelogs --no-trim -XHISTORY

override_dh_installexamples:
	dh_installexamples -Xarchive.txt -Xhelp.txt -Xmimencap.local -Xsubscribe.txt -Xunsubscribe.txt

override_dh_compress:
	dh_compress -Xputfile

override_dh_fixperms:
	dh_fixperms
	cd debian/smartlist && chown -R list:list var/list
	cd debian/smartlist/var/list/.bin && rm -f choplist flist idhash senddigest
	cd debian/smartlist && chown root:list    var/list/.bin/multigram
	cd debian/smartlist && chmod 4755         var/list/.bin/multigram
	cd debian/smartlist/var/list/.bin && ln multigram choplist
	cd debian/smartlist/var/list/.bin && ln multigram flist
	cd debian/smartlist/var/list/.bin && ln multigram idhash
	cd debian/smartlist/var/list/.bin && ln multigram senddigest
	cd debian/smartlist && chmod g+s          var/list/.bin var/list/.etc
	cd debian/smartlist && chmod 440          var/list/.etc/rc.init.dist
	cd debian/smartlist && chmod 640          var/list/.etc/rc.custom

override_dh_missing:

override_dh_md5sums:
